org.eclnt.jsfserver.elements.impl

## Class ROWTLCOCKPITBinding.TlgridItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.impl.ROWTLCOCKPITBinding.TlgridItem

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Enclosing class:
    ROWTLCOCKPITBinding

      public class ROWTLCOCKPITBinding.TlgridItem
      extends FIXGRIDItem
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlgridItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackground0()`
    `java.lang.String` | `getBackground1()`
    `java.lang.String` | `getBackground2()`
    `java.lang.String` | `getComment0()`
    `java.lang.String` | `getComment1()`
    `java.lang.String` | `getComment2()`
    `java.lang.String` | `getImage0()`
    `java.lang.String` | `getImage1()`
    `java.lang.String` | `getImage2()`
    `boolean` | `getRendered0()`
    `boolean` | `getRendered1()`
    `boolean` | `getRendered2()`
    `java.lang.String` | `getTitle0()`
    `java.lang.String` | `getTitle1()`
    `java.lang.String` | `getTitle2()`
    `void` | `onInvoke(int index)`
    `void` | `onInvoke0(ActionEvent event)`
    `void` | `onInvoke1(ActionEvent event)`
    `void` | `onInvoke2(ActionEvent event)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TlgridItem

          public TlgridItem()

  - ### Method Detail

    - #### getRendered0

          public boolean getRendered0()

    - #### getTitle0

          public java.lang.String getTitle0()

    - #### getComment0

          public java.lang.String getComment0()

    - #### getImage0

          public java.lang.String getImage0()

    - #### getBackground0

          public java.lang.String getBackground0()

    - #### onInvoke0

          public void onInvoke0(ActionEvent event)

    - #### getRendered1

          public boolean getRendered1()

    - #### getTitle1

          public java.lang.String getTitle1()

    - #### getComment1

          public java.lang.String getComment1()

    - #### getImage1

          public java.lang.String getImage1()

    - #### getBackground1

          public java.lang.String getBackground1()

    - #### onInvoke1

          public void onInvoke1(ActionEvent event)

    - #### getRendered2

          public boolean getRendered2()

    - #### getTitle2

          public java.lang.String getTitle2()

    - #### getComment2

          public java.lang.String getComment2()

    - #### getImage2

          public java.lang.String getImage2()

    - #### getBackground2

          public java.lang.String getBackground2()

    - #### onInvoke2

          public void onInvoke2(ActionEvent event)

    - #### onInvoke

          public void onInvoke(int index)

Copyright © CaptainCasa Gmbh. All Rights Reserved.